summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-haskell/optparse-applicative/optparse-applicative-0.16.1.0.ebuild')
-rw-r--r--dev-haskell/optparse-applicative/optparse-applicative-0.16.1.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-haskell/optparse-applicative/optparse-applicative-0.16.1.0.ebuild b/dev-haskell/optparse-applicative/optparse-applicative-0.16.1.0.ebuild
new file mode 100644
index 00000000000..04ff5708ce9
--- /dev/null
+++ b/dev-haskell/optparse-applicative/optparse-applicative-0.16.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# ebuild generated by hackport 0.6.7.9999
+#hackage: flags: +process
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
+inherit haskell-cabal
+
+DESCRIPTION="Utilities and combinators for parsing command line options"
+HOMEPAGE="https://github.com/pcapriotti/optparse-applicative"
+HACKAGE_REV="2"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz
+ https://hackage.haskell.org/package/${P}/revision/${HACKAGE_REV}.cabal -> ${PF}.cabal"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND=">=dev-haskell/ansi-wl-pprint-0.6.8:=[profile?] <dev-haskell/ansi-wl-pprint-0.7:=[profile?]
+ >=dev-haskell/transformers-compat-0.3:=[profile?] <dev-haskell/transformers-compat-0.8:=[profile?]
+ >=dev-lang/ghc-7.8.2:=
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.18.1.3
+ test? ( >=dev-haskell/quickcheck-2.8 <dev-haskell/quickcheck-2.15 )
+"
+
+src_prepare() {
+ # pull revised cabal from upstream
+ cp "${DISTDIR}/${PF}.cabal" "${S}/${PN}.cabal" || die
+
+ # Apply patches *after* pulling the revised cabal
+ default
+}
+
+src_configure() {
+ haskell-cabal_src_configure \
+ --flag=process
+}